Terp Network Docs
APIsRpcWebsocket
GET
/unsubscribe
client, err := rpchttp.New("tcp://0.0.0.0:26657", "/websocket")
if err != nil {
  // handle error
}

err := client.Start()
if err != nil {
  // handle error
}
defer client.Stop()
query := "tm.event = 'Tx' AND tx.height = 3"
err = client.Unsubscribe(context.Background(), "test-client", query)
if err != nil {
  // handle error
}

Query Parameters

query*string

query is a string, which has a form: "condition AND condition ..." (no OR at the moment). condition has a form: "key operation operand". key is a string with a restricted set of possible symbols ( \t\n\r\()"'=>< are not allowed). operation can be "=", "<", "<=", ">", ">=", "CONTAINS". operand can be a string (escaped with single quotes), number, date or time.

Response Body

application/json

application/json

curl -X GET "https://rpc.terp.network/unsubscribe?query=tm.event+%3D+%27Tx%27+AND+tx.height+%3D+5"
{
  "id": 0,
  "jsonrpc": "2.0",
  "result": {
    "property1": null,
    "property2": null
  }
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}